Loading...
Searching...
No Matches
Opm::ConstantSolidHeatCapLawParams< ScalarT > Class Template Reference

The default implementation of a parameter object for the solid energy storage law which assumes constant heat capacity. More...

`#include <ConstantSolidHeatCapLawParams.hpp>`

Inheritance diagram for Opm::ConstantSolidHeatCapLawParams< ScalarT >:

## Public Types

typedef ScalarT | Scalar

## Public Member Functions

| ConstantSolidHeatCapLawParams (const ConstantSolidHeatCapLawParams &)=default
void | setSolidHeatCapacity (Scalar value)
| Set the specific heat capacity of the solid matrix [J/(m^3 K)].
Scalar | solidHeatCapacity () const
| Return the specific heat capacity of the solid matrix [J/(m^3 K)].
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class ScalarT>
class Opm::ConstantSolidHeatCapLawParams< ScalarT >

The default implementation of a parameter object for the solid energy storage law which assumes constant heat capacity.

The documentation for this class was generated from the following file:

- opm/material/thermal/ConstantSolidHeatCapLawParams.hpp